For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Order Shipping Quotes
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Shipping Addresses Quotes

List Order Shipping Quotes

GET
https://api.bigcommerce.com/stores/:store_hash/v2/orders/:order_id/shipping_addresses/:shipping_address_id/shipping_quotes
GET
/stores/:store_hash/v2/orders/:order_id/shipping_addresses/:shipping_address_id/shipping_quotes
$curl https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/1/shipping_quotes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "id": "24",
3 "uuid": "a72acc8d-504b-4a40-8534-7c54d997ed59",
4 "timestamp": "Wed, 12 Apr 2023 10:15:30 +0000",
5 "shipping_provider_id": "bcstatic",
6 "shipping_provider_quote": [
7 {
8 "service": "Standard Ground",
9 "estimatedDelivery": "3-5 business days",
10 "cost": {
11 "amount": "12.99",
12 "currency": "USD"
13 }
14 }
15 ],
16 "provider_code": "shipping_byweight",
17 "carrier_code": "fedex",
18 "rate_code": "ground",
19 "rate_id": "rate_123456",
20 "method_id": 101
21}

Gets all shipping quotes persisted on an order.

This is a read-only endpoint and the output can vary based on the shipping quote. A shipping quote can only be generated using the storefront at this time. Orders that are created in the control panel or using the API return a 204 for this endpoint since a shipping quote is not generated during that process.

Was this page helpful?
Previous

Update Shipping Address

Next

List Order Statuses

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
shipping_address_idintegerRequired
Shipping address ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

This response can vary depending on the shipping provider.
idstring
ID of the shipping quote.
uuidstring
UUID of the shipping quote.
timestampstring
Time the order was created in RFC 2822 format.
shipping_provider_idstring
ID of the shipping provider.
shipping_provider_quotelist of objects
This can vary based on the shipping provider. Manual shipping methods such as fixed will return an empty array. Shipping providers such as UPS will return an object with the shipping information. Since the shipping quote is tied to a shipping address only one quote will return in the response.
provider_codestring
Code of the shipping provider.
carrier_codestring
Code of the shipping carrier.
rate_codestring
Type of delivery. This can vary based on shipping quote.
rate_idstring
This can vary based on shipping quote.
method_idinteger
Shipping method ID

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.